Get V2 vault withdrawal options
Immediately available assets and adapter-level force-deallocation capacity and penalty rates for a Morpho Vault V2.
Vault selector example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11 (format: <chain_id>:<vault_address>; replace with the target vault).
Enterprise API access
For enterprise access, use https://private.api.morpho.org as the base URL and send your API key in the x-api-key header. Request an API key.
Path Parameters
vault-selector*string
Selector formatted as <chain_id>:<vault_address>. Example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11.
Format
<chain_id>:<vault_address>Response Body
application/json
const baseUrl = process.env.CORE_REST_BASE_URL ?? "https://api.morpho.org";const apiKey = process.env.MORPHO_API_KEY ?? "<MORPHO_API_KEY>";const vaultSelector = "1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11";const url = new URL(`${baseUrl}/v0/vaults-v2/${vaultSelector}/withdrawal-options`);const response = await fetch(url, { headers: { accept: "application/json", "x-api-key": apiKey, },});if (!response.ok) throw new Error(await response.text());const body = await response.json();{
"data": {
"chain_id": 1,
"vault_address": "0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11",
"liquidity_adapter_available_assets": "12500000000000",
"idle_assets": "12500000000000",
"adapter_penalties": [
{
"adapter_address": "0x1111111111111111111111111111111111111111",
"adapter_kind": "blue_market_adapter",
"force_deallocatable_assets": "60000000000000",
"penalty_rate_wad": "5000000000000000"
}
]
}
}